/*
 * SMS - Module
 */
jQuery( function ( $ ) {
    var SMSModule = {
        init : function () {
            this.show_or_hide_for_api_option() ;
            $( document ).on( 'change' , 'input[name=rs_sms_sending_api_option]:radio' , this.api_option ) ;
        } ,
        api_option : function () {
            SMSModule.show_or_hide_for_api_option() ;
        } ,
        show_or_hide_for_api_option : function () {
            if ( ( jQuery( 'input[name=rs_sms_sending_api_option]:checked' ).val() ) === '1' ) {
                jQuery( '#rs_nexmo_key' ).parent().parent().hide() ;
                jQuery( '#rs_nexmo_secret' ).parent().parent().hide() ;
                jQuery( '#rs_twilio_secret_account_id' ).parent().parent().show() ;
                jQuery( '#rs_twilio_auth_token_id' ).parent().parent().show() ;
                jQuery( '#rs_twilio_from_number' ).parent().parent().show() ;
            } else {
                jQuery( '#rs_nexmo_key' ).parent().parent().show() ;
                jQuery( '#rs_nexmo_secret' ).parent().parent().show() ;
                jQuery( '#rs_twilio_secret_account_id' ).parent().parent().hide() ;
                jQuery( '#rs_twilio_auth_token_id' ).parent().parent().hide() ;
                jQuery( '#rs_twilio_from_number' ).parent().parent().hide() ;
            }
        } ,
    } ;
    SMSModule.init() ;
} ) ;